package com.yidianling.user.http.request;


import com.ydl.ydlcommon.data.PlatformDataManager;

public class PhoneLoginDirectRequest {
    String accessCode;
    String channelId;
    String outId;
    String phoneNumber;
    int type;
    String ffrom;
    String version;

    public PhoneLoginDirectRequest(String accessCode, String channelId, String outId, String phoneNumber, int type, String version) {
        this.accessCode = accessCode;
        this.channelId = channelId;
        this.outId = outId;
        this.phoneNumber = phoneNumber;
        this.type = type;
        this.version = version;
        this.ffrom = PlatformDataManager.INSTANCE.getRam().getChannelName();//渠Y道来源
    }

    public String getChannelId() {
        return channelId;
    }

    public void setChannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getFfrom() {
        return ffrom;
    }

    public void setFfrom(String ffrom) {
        this.ffrom = ffrom;
    }

    public String getAccessCode() {
        return accessCode;
    }

    public void setAccessCode(String accessCode) {
        this.accessCode = accessCode;
    }

    public String getchannelId() {
        return channelId;
    }

    public void setchannelId(String channelId) {
        this.channelId = channelId;
    }

    public String getOutId() {
        return outId;
    }

    public void setOutId(String outId) {
        this.outId = outId;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getVersion() {
        return version;
    }

    public void setVersion(String version) {
        this.version = version;
    }


    @Override
    public String toString() {
        return "PhoneLoginDirectRequest{" +
                "accessCode='" + accessCode + '\'' +
                ", channelId='" + channelId + '\'' +
                ", outId='" + outId + '\'' +
                ", phoneNumber='" + phoneNumber + '\'' +
                ", type=" + type +
                ", version='" + version + '\'' +
                '}';
    }
}